Package org.apache.tapestry5.internal

# Class AssetConstants

java.lang.Object
org.apache.tapestry5.internal.AssetConstants

public class AssetConstants extends Object
Defines constants for the two basic asset prefixes.

Since:
  5.2.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASSPATH`
  For assets that are stored in the classpath (i.e., inside 3rd party component library JARs).
  `static final String`
  `CONTEXT`
  For assets that are stored in the web application context.
  `static final String`
  `FTP`
  For assets that are external (stored in another service) and stored in a publicly available FTP server (ftp://...)
  `static final String`
  `HTTP`
  For assets that are external (stored in another service) and have a non-secure URL (http://...)
  `static final String`
  `HTTPS`
  For assets that are external (stored in another service) and have a secure URL (https://...)
  `static final String`
  `PROTOCOL_RELATIVE`
  For assets that are external (stored in another service) and have a protocol-relative URL (//...)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssetConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONTEXT

    public static final String CONTEXT
    For assets that are stored in the web application context.
    See Also:
      - Constant Field Values

  - ### CLASSPATH

    public static final String CLASSPATH
    For assets that are stored in the classpath (i.e., inside 3rd party component library JARs).
    See Also:
      - Constant Field Values

  - ### HTTP

    public static final String HTTP
    For assets that are external (stored in another service) and have a non-secure URL (http://...)
    See Also:
      - Constant Field Values

  - ### HTTPS

    public static final String HTTPS
    For assets that are external (stored in another service) and have a secure URL (https://...)
    See Also:
      - Constant Field Values

  - ### PROTOCOL_RELATIVE

    public static final String PROTOCOL_RELATIVE
    For assets that are external (stored in another service) and have a protocol-relative URL (//...)
    See Also:
      - Constant Field Values

  - ### FTP

    public static final String FTP
    For assets that are external (stored in another service) and stored in a publicly available FTP server (ftp://...)
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AssetConstants

    public AssetConstants()